<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping package="com.ifish.entity">
	<class name="Device" table="tbl_device" dynamic-insert="true" dynamic-update="true">
		<meta attribute="sync-DAO">false</meta>
		<id name="deviceId" type="java.lang.Integer" column="device_id">
			<generator class="identity"/>
		</id>
		<property name="serverIP" 			column="server_ip" 			type="string" 		length="50"/>
		<property name="deviceIP" 			column="device_ip" 			type="string" 		length="50"/>
		<property name="macAddress" 		column="mac_address" 		type="string" 		unique="true" 	not-null="true" update="false" length="50"/>
		<property name="loginCount" 		column="login_count" 		type="java.lang.Integer"/>
		<property name="hardwareType" 		column="hardware_type" 		type="string" 		length="10"/>
		<property name="softwareVersion" 	column="software_version" 	type="string" 		length="10"/>
		<property name="brandCode" 			column="brand_code" 		type="string"		length="20"/>
		<property name="loginTime" 			column="login_time" 		type="timestamp"/>
		<property name="isBlacklist" 		column="is_blacklist" 		type="string" 		length="1"/>
		<property name="waterRemind" 		column="water_remind" 		type="string" 		length="1"/>
		<property name="remindDate" 		column="remind_date" 		type="date"/>
		<property name="remindCycle" 		column="remind_cycle" 		type="java.lang.Integer"/>
		<property name="todayRemind" 		column="today_remind" 		type="string" 		length="1"/>
		<property name="firstActivate" 		column="first_activate" 	type="timestamp" />
		<property name="createTime" 		column="create_time" 		type="timestamp" 	update="false"/>
		<property name="createDate" 		column="create_date" 		type="date"/>
	</class>
</hibernate-mapping>